@let inp = input();
<ui-inline-input>
  <label>{{ inp.minLabel }}</label>
  <input
    type="number"
    uiInputControl
    [(ngModel)]="minValue"
    [min]="minInputLowerLimit()"
    [max]="minInputUpperLimit()"
    #minModel="ngModel"
  />
  @if (minModel.invalid && minModel.touched) {
    <div class="text-isa-accent-red isa-text-caption-regular">
      @if (minModel.errors?.['min']) {
        Mindestens {{ minInputLowerLimit() }}.
      }
      @if (minModel.errors?.['max']) {
        Maximal {{ minInputUpperLimit() }}.
      }
    </div>
  }
</ui-inline-input>
<ui-inline-input>
  <label>{{ inp.maxLabel }}</label>
  <input
    type="number"
    uiInputControl
    [(ngModel)]="maxValue"
    [min]="maxInputLowerLimit()"
    [max]="maxInputUpperLimit()"
    #maxModel="ngModel"
  />
  @if (minModel.invalid && minModel.touched) {
    <div class="text-isa-accent-red isa-text-caption-regular">
      @if (minModel.errors?.['min']) {
        Mindestens {{ minInputLowerLimit() }}.
      }
      @if (minModel.errors?.['max']) {
        Maximal {{ minInputUpperLimit() }}.
      }
    </div>
  }
</ui-inline-input>
